#ifndef PKMNLIB_POKEMONFORME_HPP
#define PKMNLIB_POKEMONFORME_HPP

#include <CreatureLib/Library/CreatureData/SpeciesVariant.hpp>

namespace PkmnLib::Library {
    class PokemonForme : public CreatureLib::Library::SpeciesVariant {
    public:
        PokemonForme(ConstString name, float height, float weight, uint32_t baseExperience, const List<uint8_t>& types,
                     CreatureLib::Library::StatisticSet<uint16_t> baseStats, const List<ConstString>& talents,
                     const List<ConstString>& secretTalents, const CreatureLib::Library::LearnableAttacks* attacks);

    private:
    public:
        inline const ConstString& GetAbility(const CreatureLib::Library::TalentIndex& index) const {
            return GetTalent(index);
        }
    };
}

#endif // PKMNLIB_POKEMONFORME_HPP
