#ifndef PKMNLIB_MISCLIBRARY_HPP
#define PKMNLIB_MISCLIBRARY_HPP

#include <CreatureLib/Battling/Library/MiscLibrary.hpp>

namespace PkmnLib::Battling{
    class MiscLibrary : CreatureLib::Battling::MiscLibrary {
        ~MiscLibrary() override = default;
        bool IsCritical(CreatureLib::Battling::ExecutingAttack* attack, CreatureLib::Battling::Creature* target,
                        uint8_t hit) const override;
        bool CanFlee(CreatureLib::Battling::FleeTurnChoice* switchChoice) const override;
        CreatureLib::Battling::BaseTurnChoice*
        ReplacementAttack(CreatureLib::Battling::Creature* user,
                          CreatureLib::Battling::CreatureIndex target) const override;
    };
}

#endif // PKMNLIB_MISCLIBRARY_HPP
