#ifndef PKMNLIB_LEARNEDMOVE_HPP
#define PKMNLIB_LEARNEDMOVE_HPP

#include <CreatureLib/Battling/Models/LearnedAttack.hpp>
#include "../../Library/Moves/MoveData.hpp"
namespace PkmnLib::Battling {
    class LearnedMove : public CreatureLib::Battling::LearnedAttack {
    public:
        LearnedMove(const Library::MoveData* move, CreatureLib::Battling::AttackLearnMethod learnMethod)
            : CreatureLib::Battling::LearnedAttack(move, learnMethod) {}

        const Library::MoveData* GetMoveData() const { return dynamic_cast<const Library::MoveData*>(GetAttack()); }
    };
}

#endif // PKMNLIB_LEARNEDMOVE_HPP
