#ifndef PKMNLIB_ITEMLIBRARY_HPP
#define PKMNLIB_ITEMLIBRARY_HPP

#include <CreatureLib/Library/ItemLibrary.hpp>
#include "Item.hpp"
namespace PkmnLib::Library {
    class ItemLibrary : public CreatureLib::Library::ItemLibrary {
    public:
        inline bool TryGet(const Arbutils::CaseInsensitiveConstString& name, const Item*& item) const {
            return CreatureLib::Library::ItemLibrary::TryGet(name, (const CreatureLib::Library::Item*&)item);
        }

        inline const Item* Get(const Arbutils::CaseInsensitiveConstString& name) const {
            return reinterpret_cast<const Item*>(CreatureLib::Library::ItemLibrary::Get(name));
        }
        const Item* operator[](const Arbutils::CaseInsensitiveConstString& name) const { return Get(name); }

        void Insert(const Arbutils::CaseInsensitiveConstString& name, const Item* item) {
            CreatureLib::Library::ItemLibrary::Insert(name, item);
        }
    };
}

#endif // PKMNLIB_ITEMLIBRARY_HPP
